The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Get the IP Status from a GTI Private Cloud

Prev Next

This URL gets the IP status from GTI private cloud configured on the Manager.

Resource URL

GET /gticonfiguration/private/{ip_address}/testconnection

Request Parameters

URL Parameters:

Field Name

Description

Data Type

Mandatory

ip_address

IP address whose status you want to know

String

Yes

Payload Request Parameters: None

Response Parameters

Following fields are returned:

Field Name

Description

Data Type

status

Reputation of the IP on the GTI private cloud

String

country

Country of the IP. If information about the country is not available, it returns an empty string as the value.

String

Example

Request

GET https://<NSM_IP>/sdkapi/gticonfiguration/private/1.1.1.1/testconnection

Payload

None

Response

{
	"status":"High","country":""
}

Error Information

Following error code is returned by this URL:

No

HTTP Error Code

SDK API errorId

SDK API errorMessage

1

500

1001

Internal error